Subject: Re: [PATCH] Removes the <?xml?> declaration from gitweb.pl

From: Pazu <[email-masked]>
Date: Fri, 13 Oct 2006 10:01:12 -0300

Jakub Narebski wrote:

> So what should be our decision? Honor IE quirks ;-) and either remove
> XML declaration, or use Transitional DTD? Add back SPC to &nbsp; conversion
> in esc_html? Ignore broken browsers?

My bad here. In my first email I said that using the Transitional DTD 
would fix the problem, but I was wrong. It doesn't matter the DTD you 
use, if you add a <?xml?> declaration, IE will get it wrong and activate 
quirks mode.

-- Marcus